
/* .dropdown-content a:hover {background-color: #ddd;} */ 
/* .dropdown:hover .dropdown-content {display: block;} */

/* .dropdown:hover .dropbtn {background-color: #3e8e41;} */
.navbar{
  background-color: #2874f0 !important;
  /* color:white !important; */
  width: 100% !important;
    position: fixed;
    z-index: 30;
}
.flex-container {
  display: flex;
  justify-content: center;
  padding-top: 62px;
}
.flex-container{
  background-color: #fff;
}

.flex-container > div {
  width: 100%;
  margin: 2px;
  text-align: center;
  line-height: 33px;
  font-size: 16px;
}
.mobile{
	background-color: white !important;
	
	display: flex;
}
.dropdown {
    position: relative;
    
}
.more_nav{
  /* width:100px !important; */
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 200px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  padding: 12px 16px;
  z-index: 1;
}
.login_navigation{
  margin-left:40%;
  
}
/* .login_navigation,.more_navigation,.cart_navigation{ */
  /* font-family: Roboto,Arial,sans-serif; */
/* } */
.more_navigation,.cart_navigation{
  margin-left: 10%;
}
.more_navigation{
  margin-top: 1%;
}
.card-img-top{
  padding-top:15px;
  height:180px;
  width:180px;
  margin:0 auto;
  display: block;
}
.drp_content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 400px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    padding: 12px 16px;
    z-index: 1;
}

.dropdown:hover .dropdown-content {
    display: block;
}
#div1{
    margin-left:20px;
}
   .d-block{
   	height: 300px;
   }
   body{
   	background-color: #f1f3f6;
   }
   .deal{
   	margin-left: 5%;
   	margin-top: 1%;
   }
   .electronics_dropdown{
    display:inline-block;
   }
   #div1{
    display:inline-block;
   }
   .mens_clothing{
    display:inline-block;
   }
   .card{
    width: 18rem;
   }
   .card-text{
    text-align: center;
   }
   .search_bar{
    width: 500px;
   }
   .login_nav{
    margin-left: 40%; 
   }
   
   .btn-primary{
   	margin-top: 1%;
     margin-left:48%;
   }
   .categories_div{
   	background-color: white;
   	height: 400px;
   	width:100%;
   }
   .categories_child_div{
   	margin-top:1%;
   	background-color:#f1f3f6;
   	height: 320px;
   	width:100%;
   	margin-left: 2%;
   	margin-right: 2%;
   }
   .items_div{
   	margin:1%;
   	width: 100%;
   }
   .card{
   	margin:1%;
   	display: inline-block;
   }
   span b{
   	font-size:20px;
   }
   .footer{
     color:white;
     background-color:#172337 !important;
     margin-top: 0%;
     max-width:100% !important;
   }
   
   .images_hidden_div{
     overflow: hidden;
     position:relative;
   }
   .child_class{
     width:2000px;
     position: absolute;
   }
   .clickable{
     position: absolute;
     right: 7px;
     top:50%;
   }
   .image_offers{
     height:200px;
     margin-bottom:1%;
     /* background-color:blue; */
   }
   .img_hari{
     width:430px;
     height:200px;
   }
   .Sundrop{
     width:1349px;
     height:250px;
   }
   .sundrop_main{
     margin-bottom: 1%;
   }

   /* mi_products code starts from here */

   .leftPanel {
    position: fixed;
    left: 0;
    top: 14%;
    height: 100%;
    width: 300px;
    border: 10px solid #2874f0 ;
    background-color: #ffffff;
  }
  .divPreview {
    display: inline-block;
    width: 100%;
    /* background: red; */
    min-height: 100vh;
  }
  .my_div{
    display: inline-block;
    height: 100vh;
    max-height: 100%;
    width:25%;
    border: 10px solid #f1f1f1 ;
    background-color: #ffffff;
    vertical-align: top;
    padding-Left:15px;
      padding-right:15px;
  }
  .my_div_1{
    display: inline-block;
    height: 100%;
    width:75%;
    border: 10px solid #f1f1f1 ;
    border-left:1px solid #f1f1f1 !important;
    background-color: #ffffff;
    vertical-align: top;
  }
   
  .slidecontainer {
    width: 100%;
}

.slider {
    -webkit-appearance: none;
    width: 100%;
    height: 7px;
    border-radius: 5px;
    background: #d3d3d3;
    outline: none;
    opacity: 0.7;
    -webkit-transition: .2s;
    transition: opacity .2s;
}

.slider:hover {
    opacity: 1;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: #4CAF50;
    cursor: pointer;
}

.slider::-moz-range-thumb {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #4CAF50;
    cursor: pointer;
}
.redmi_class{
  padding-left:38px;
}
.redmi_class{
  height:250px;
  width:150px;
}
.redmi_row_class{
  margin-bottom: 5%;
}
a { 
  color: inherit;
  text-decoration: none;
} 
/* mi_products css code ends here */

/* view_image_products css code starts from here */
.image_full_view{
vertical-align: top;
display: inline-block;
background-color: #ffffff;
width:40%;
height:100%;
}
.small_img_div{
  height:70px;
  width:40px;
  border: 1px solid blue;
  margin-left: 5%;
  margin-bottom: 2%;
}
.small_imageChildDiv{
  height:70px;
  width:40px;
}
.image_preview{
  height:300px;
  width:150px;
  margin-top: 20%;
}
.image_content{
  vertical-align: top;
  display: inline-block;
  background-color: #ffffff;
  width:60%;
  height:100%;
}
.image_zoom{
  padding-left:32%;
  /* padding-top:15%; */
  margin-top: -50%;
}
.img_side_view{
  height: 70px;
  width:80px;
    padding-left: 135%;
}
.btn-warning{
  color: white;
  /* padding-left:10%; */
  margin-top:2%;
 
}
.addtocart{
  margin-left: 26%;
}
.buy_now{
  margin-left:3%;
}
.redmi_description{
  margin-top:8%;
}
/* view_image_products css code ends here */

/* Login page css code starts here */
.MuiDialog-paperWidthSm-38 {
  width: 600px !important;
  height: 590px !important;
}
.login_div{
  height: 399px;
  background-color: #2874f0 ;
  width:200px;
  display:inline-block;
  vertical-align: top;
  /* margin-left:-5%; */
  background-image: url('https://img1a.flixcart.com/www/linchpin/fk-cp-zion/img/login_img_dec4bf.png');
  background-repeat: no-repeat;
  background-position: bottom ; 
  color:white;
}
.login_div_1{
  width:350px;
  display:inline-block;
  vertical-align: top;
  margin-left:4%;
  margin-top: 6%;
}
.login_btn{
  width: 187px;
  background-color: #fb641b;
  border: 0 !important;
  margin-left:22%;
  margin-top: 7% !important;
}
.signup_btn{
  width: 187px;
  margin-left:22%;
}
.MuiDialog-paperWidthSm-38 {
  /* width:; */
  height: auto !important;
}
.MuiDialogContent-root-81:first-child {
  padding: 0 !important;
}
/* login page css code ends here */
/* footer css code starts here */
hr{
  background-color: white;
}
.main_heading{
  color:#878787;
}
.sub_footer{
  /* margin-bottom:2%; */
  padding-bottom: 2%;
}
/* footer css code ends here */

/* cart css code starts here */
.cart_mainDiv{
  padding-top: 40px;
  
}
.cart_itemsDiv{
  background-color: #ffffff;
  border-right: 20px solid #f1f3f6;;
}
.cart_priceDiv{
  background-color: #ffffff;
}
.cart_continueShopping{
  box-shadow:5px 0px 10px 5px #d3d3d3
}
.cart_btn{
  margin-top: 8%;
  margin-bottom: 8%;
}
.change{
  color:#2874f0;
}
.cart_header{
  margin-top: 2%;
  margin-bottom: -1%; 
}
.bold_offers{
  color: #388e3c;
}
.seller,del{
  color: #878787;
}
.btn-warning{
  background: #fb641b !important;
  width: 180px;
}
.btn-default{
  border-radius: 2px;
  box-shadow: 0 2px 2px 0 rgba(0,0,0,.1);
  font-size: 16px;
  font-weight: 500;
}
.cart_coins_image{
  height: 113px;
}
.coinsImage_container{
  margin-top: 2%;
  padding-right: 35px;
}
.icon_image{
height:35px;
width:30px;
}
/* cart css code ends here */

/* login_signup  css code starts from here */

.loginimage{
  width: 350px;
  height: 499px;
display: inline-block;
margin-top: -314px;

}
.signupdetailsbox{
 display: inline-block;
 width: 448px;
 height: 500px;
}
.modal-content{
  width: 800px;
  display: inline-block !important;
  height: 500px;

}
.modal-title{
letter-spacing: 2px;
border-right: 1px solid blueviolet;
padding-right: 10px;
}   
.modal-title1{
letter-spacing: 2px;

display: inline;
}
.modal-header{
width: 200px;
border-bottom: none;
margin-top: 16px;
}
.close{
margin-top: -103px;
opacity: 1;
margin-right: -8px;
color:black;
}
.loginboxes{
width: 90%;
height: 75px;
margin-left: 19px;
border-bottom-color: blue;
border-bottom-style: dashed;
border-bottom-width: 1px; 
margin-top: 28px;
} 

/* .facebooklogin{
background-color:blueviolet;
width: 144px;
height: 32px;
display: inline-block;
margin-left: 47px;
position: relative;

} */
/* .facebookimage{
background-image: url('./images/facebook-logo2\ \(1\).png');
background-repeat: no-repeat;
width: 35px;
height:32px;
margin-left: 13px;
position: absolute;  

}
.googleimage{
background-image:url('./images/google\ logo.png');
background-repeat:no-repeat;
width: 35px;
height: 32px;
position: absolute; 
margin-left: -30px;
} */
/* .googlelogin{
background-color:red;
width: 148px;
height:32px;
display: inline-block;
margin-left: 41px;
position: relative;
text-align: inherit;

} */
/* .facebooktext{
color: white;
font-size: 17px; 
padding-top: 5px;
padding-left: 15px; 
}
.googletext{
color: white; 
font-size: 17px;
padding-left: 15px; 
padding-top: 5px;
} */
/* .dootedline{
height: 2px;
background-color: lightblue;
} */

/* .or{
margin-left: 45%;
margin-top: -14px;

width: 29px;
height: 27px;
background-color: #6c7d8e;
padding-left: 3px;
padding-top: 1px;
border-radius: 15px;
}   */
.form-control1{

width: 95%;
height: calc(2.25rem + 2px);
/* padding: .375rem .75rem; */
font-size: 1rem;
line-height: 1.5;
color: #495057;
background-color: #fff;
background-clip: padding-box;
/* border: 1px solid #ced4da; */
border-radius:none;
border-bottom: 1px solid blue;
border-top: none;
border-left: none;
border-right: none;
}
.form{
margin-left:17px;
margin-top: 29px;
}
.btn-primary{
width: 95%;
}
.btn{
border-radius: 0 !important;
}
.forgot{ margin-right: 22px;
float: right;}
.New{
font-size: 14px;
text-decoration: underline;
text-align: center;
margin-top: 4px;
color: lightcoral;

}
.btn-primary1{
background-color: transparent;
margin-top: -7px;
}  

/* login_signup  css code ends here */